Subject: Re: bug#15880: Compute C declarations for DEFSYMs automatically.

From: Stefan Monnier <[email-masked]>
Date: Mon, 05 Jan 2015 11:51:04 -0500

> Sure.  It's easy to create one patch for autogeneration and link-time
> constants, and a second patch for making Qnil be zero. Attached.  These are
> relative to trunk commit e55a467ec0f758c311d358ceb7d66a8a7d9482c3
> dated today.

Thanks.  I'm worried about:

+/* Yield an integer that tags PTR as a symbol.  */
+#define TAG_SYMPTR(ptr) TAG_PTR (Lisp_Symbol, (char *) (ptr) - (char *) lispsym)

This subtraction can yield a negative number.  For the USE_LSB_TAG case,
that's not a problem, but for the case where we use the MSB for the tag,
a negative number will not have the expected 000 in the MSB.

        Stefan